<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.msgpush.module.push.dal.mysql.channel.ChannelProviderConfigMapper">

    <select id="getActiveProviders"
            resultType="com.njcn.msgpush.module.push.dal.dataobject.channel.ChannelProviderConfigDO">
        select *
        from push_channel_provider_config
        where enabled = 1
    </select>
</mapper>